# Generated from r10k-2.5.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name r10k

Name: rubygem-%{gem_name}
Version: 2.5.2
Release: 1%{?dist}
Summary: Puppet environment and module deployment
Group: Development/Languages
License: Apache-2.0
URL: https://github.com/puppetlabs/r10k
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) => 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(yard) => 0.8.7.3
# BuildRequires: rubygem(yard) < 0.8.8
BuildArch: noarch

%description
R10K provides a general purpose toolset for deploying Puppet environments
and modules.
It implements the Puppetfile format and provides a native implementation of
Puppet
dynamic environments.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%{_bindir}/r10k
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/MAINTAINERS
%{gem_instdir}/bin
%{gem_instdir}/integration
%{gem_libdir}
%{gem_instdir}/locales
%{gem_instdir}/r10k.yaml.example
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.mkd
%doc %{gem_instdir}/CONTRIBUTING.mkd
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.mkd
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/r10k.gemspec
%{gem_instdir}/spec

%changelog
* Sat Feb 11 2017 root - 2.5.2-1
- Initial package
